> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Studio 变速

> 调整播放倍率并导出

按相对原曲的绝对倍率变速后导出。等价于 `/studio/edit` 的 `ops=[setSpeed]`。与老接口 `/adjustSpeed` 并存（协议不同）。

<Info>
  **免费**（0 积分）。通过 [查询任务状态](/zh/api-reference/suno/task) 轮询至 `success`。
</Info>

## 参数

| 字段        | 类型     | 必填 | 说明                                                                                          |
| --------- | ------ | -- | ------------------------------------------------------------------------------------------- |
| `clip_id` | string | 是  | 源 clip                                                                                      |
| `rate`    | number | 是  | 速度倍率 `0.5`～`2.0`                                                                            |
| `start_s` | number | 否  | 起点；与 `end_s` 成对；都省略=整曲                                                                      |
| `end_s`   | number | 否  | 终点                                                                                          |
| `title`   | string | 否  | 新歌标题                                                                                        |
| `beat`    | object | 否  | 可选节拍器导出（`enabled`，可选 `bpm` / `time_signature`）。见 [Studio 编辑](/zh/api-reference/suno/studio) |

## 示例

```bash theme={null}
curl -X POST https://api.mountsea.ai/suno/v2/studio/setSpeed \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "clip_id": "5a3c023f-d1ed-4a85-b61e-168dde2b6659",
    "rate": 1.1,
    "start_s": 50,
    "end_s": 70
  }'
```


## OpenAPI

````yaml POST /suno/v2/studio/setSpeed
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/studio/setSpeed:
    post:
      tags:
        - suno/studio
      summary: Studio setSpeed
      description: 等价 /studio/edit ops=[setSpeed]。与老 adjustSpeed 并存（协议不同）。积分 0。
      operationId: ApiStudioController_setSpeed
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StudioSetSpeedDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    StudioSetSpeedDto:
      type: object
      properties:
        clip_id:
          type: string
          description: 原歌曲 clip_id
        rate:
          type: number
          minimum: 0.5
          maximum: 2
          description: 速度倍率，建议 0.5~2.0
          example: 1.1
        start_s:
          type: number
          minimum: 0
          description: 起点秒；与 end_s 成对；省略=整曲
        end_s:
          type: number
          minimum: 0
          description: 终点秒
        title:
          type: string
          description: 新歌标题
        beat:
          description: Optional metronome export; omit for legacy behavior
          allOf:
            - $ref: '#/components/schemas/StudioBeatOptionsDto'
      required:
        - clip_id
        - rate
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
    StudioBeatOptionsDto:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether to enable beat grid + audible metronome on export
          example: true
        bpm:
          type: number
          minimum: 30
          maximum: 480
          description: >-
            Target BPM (30~480). Only when enabled=true; omit to keep
            project/source bpm
          example: 132
        time_signature:
          type: string
          pattern: /^\d+\/\d+$/
          description: Time signature like "4/4". Only when enabled=true; default "4/4"
          example: 4/4
          default: 4/4
      required:
        - enabled
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````